diff --git a/tests/language/stats/quick-cluster.at b/tests/language/stats/quick-cluster.at
index fd327f5..357c9cd 100644
--- a/tests/language/stats/quick-cluster.at
+++ b/tests/language/stats/quick-cluster.at
@@ -19,7 +19,7 @@ END DATA.
 QUICK CLUSTER x y z
   /CRITERIA=CLUSTER(2) MXITER(20).
 ])
-AT_CHECK([pspp -o pspp.csv quick-cluster.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv quick-cluster.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -54,7 +54,7 @@ end file.
 end input program.
 QUICK CLUSTER x /CRITERIA = CLUSTER(4) NOINITIAL.
 ])
-AT_CHECK([pspp -o pspp.csv quick-cluster.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv quick-cluster.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Final Cluster Centers
 ,Cluster,,,
@@ -94,7 +94,7 @@ weight by w.
 QUICK CLUSTER x /CRITERIA = CLUSTER(4) MXITER (10).
 ])
 
-AT_CHECK([pspp -o pspp-w.csv qc-weighted.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp-w.csv qc-weighted.sps])
 
 
 AT_DATA([qc-unweighted.sps], [dnl
@@ -109,7 +109,7 @@ end input program.
 QUICK CLUSTER x /CRITERIA = CLUSTER(4) MXITER (10).
 ])
 
-AT_CHECK([pspp -o pspp-unw.csv qc-unweighted.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp-unw.csv qc-unweighted.sps])
 
 AT_CHECK([diff pspp-w.csv pspp-unw.csv], [0])
 
@@ -131,7 +131,7 @@ end data.
 QUICK CLUSTER x /CRITERIA = CLUSTER(4) MXITER (10).
 ])
 
-AT_CHECK([pspp -o pspp-m.csv quick-miss.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp-m.csv quick-miss.sps])
 
 AT_DATA([quick-nmiss.sps], [dnl
 data list notable list /x *.
@@ -147,7 +147,7 @@ end data.
 QUICK CLUSTER x /CRITERIA = CLUSTER(4) MXITER (10).
 ])
 
-AT_CHECK([pspp -o pspp-nm.csv quick-nmiss.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp-nm.csv quick-nmiss.sps])
 
 AT_CHECK([diff pspp-m.csv pspp-nm.csv], [0])
 
@@ -183,7 +183,7 @@ QUICK CLUSTER x y
 	.
 ])
 
-AT_CHECK([pspp -O format=csv quick-s.sps  > pspp-s.csv])
+AT_CHECK([$RUNNER $PSPP -O format=csv quick-s.sps  > pspp-s.csv])
 
 AT_DATA([quick-pw.sps], [dnl
 data list notable list /x * y *.
@@ -209,7 +209,7 @@ QUICK CLUSTER x y
 	.
 ])
 
-AT_CHECK([pspp -O format=csv quick-pw.sps  > pspp-pw.csv])
+AT_CHECK([$RUNNER $PSPP -O format=csv quick-pw.sps  > pspp-pw.csv])
 
 AT_CHECK([head -n 18  pspp-s.csv > top-s.csv])
 AT_CHECK([head -n 18  pspp-pw.csv > top-pw.csv])
@@ -240,7 +240,7 @@ QUICK CLUSTER x y
 	.
 ])
 
-AT_CHECK([pspp -O format=csv badn.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv badn.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -254,7 +254,7 @@ end data.
 
 QUICK CLUSTER x y /UNSUPPORTED.
 ])
-AT_CHECK([pspp -O format=csv quick-cluster.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv quick-cluster.sps], [1], [dnl
 quick-cluster.sps:7.20-7.30: error: QUICK CLUSTER: Syntax error at `UNSUPPORTED'.
 ])
 AT_CLEANUP
@@ -329,7 +329,7 @@ QUICK CLUSTER x y
   /PRINT=INITIAL CLUSTER.
 ])
 
-AT_CHECK([pspp -O format=csv quick-cluster.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv quick-cluster.sps], [0], [dnl
 Table: Initial Cluster Centers
 ,Cluster,,
 ,,,
@@ -431,7 +431,7 @@ QUICK CLUSTER x y
 	.
 ])
 
-AT_CHECK([pspp -o pspp.csv empty-parens.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv empty-parens.sps], [1], [ignore])
 
 AT_CLEANUP
 
diff --git a/tests/language/stats/rank.at b/tests/language/stats/rank.at
index 2b909b9..0186979 100644
--- a/tests/language/stats/rank.at
+++ b/tests/language/stats/rank.at
@@ -17,7 +17,7 @@ RANK x.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -52,7 +52,7 @@ RANK ALL.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -99,7 +99,7 @@ DISPLAY DICTIONARY.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -176,7 +176,7 @@ RANK a
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -255,7 +255,7 @@ SPLIT FILE OFF.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -321,7 +321,7 @@ RANK a
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -382,7 +382,7 @@ RANK x
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -448,7 +448,7 @@ RANK age /RANK INTO Rf.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv rank.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv rank.sps], [0], [dnl
 Variables Created By RANK
 
 
@@ -498,7 +498,7 @@ RANK foo.
 
 DISPLAY DICTIONARY.
 ])
-AT_CHECK([pspp -o pspp.csv rank.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv rank.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variables Created By RANK
 
@@ -534,7 +534,7 @@ DELETE VAR ran001 TO ran999.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv rank.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv rank.sps], [0], [dnl
 "rank.sps:3: warning: Missing value(s) for all variables from rx onward.  These will be filled with the system-missing value or blanks, as appropriate."
 
 "rank.sps:4: warning: Missing value(s) for all variables from rx onward.  These will be filled with the system-missing value or blanks, as appropriate."
@@ -585,7 +585,7 @@ DEBUG XFORM FAIL.
 
 RANK x.
 ])
-AT_CHECK([pspp -O format=csv --testing-mode rank.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv --testing-mode rank.sps], [1], [dnl
 Variables Created By RANK
 
 
@@ -629,7 +629,7 @@ RANK x
 RANK x 
  /RANK INTO foo  bar wiz.
 ])
-AT_CHECK([pspp -O format=csv rank.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv rank.sps], [1], [dnl
 rank.sps:15.1: error: RANK: Syntax error at end of command: expecting `@{:@'.
 
 rank.sps:19.11: error: RANK: Syntax error at `d': expecting integer.
diff --git a/tests/language/stats/regression.at b/tests/language/stats/regression.at
index d487ca8..d236cdb 100644
--- a/tests/language/stats/regression.at
+++ b/tests/language/stats/regression.at
@@ -21,7 +21,7 @@ regression /variables=v0 v1 v2 /statistics defaults /dependent=v2 /method=enter
 list.
 ])
 
-AT_CHECK([pspp -O format=csv regression.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv regression.sps], [0], [dnl
 regression.sps:16: warning: REGRESSION: REGRESSION with SAVE ignores FILTER.  All cases will be processed.
 
 Table: Model Summary (v2)
@@ -78,7 +78,7 @@ regression /variables=v0 v1 v2 /statistics defaults /dependent=v2 /method=enter
 list.
 ])
 
-AT_CHECK([pspp -O format=csv regression.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv regression.sps], [0], [dnl
 Table: Model Summary (v2)
 ,R,R Square,Adjusted R Square,Std. Error of the Estimate
 ,.971,.942,.925,1.337
@@ -151,7 +151,7 @@ print outfile='regdata.txt' /g x0 x1 y err *.
 execute.
 ])
 
-AT_CHECK([pspp -O format=csv gen-data.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv gen-data.sps], [0], [ignore])
 
 # Use our test data to create a predictor and a residual variable
 # for G == 0
@@ -172,7 +172,7 @@ execute.
 ])
 
 
-AT_CHECK([pspp -O format=csv regression0.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv regression0.sps], [0], [ignore])
 
 # Use our test data to create a predictor and a residual variable
 # for G == 1
@@ -193,7 +193,7 @@ execute.
 ])
 
 
-AT_CHECK([pspp -O format=csv regression1.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv regression1.sps], [0], [ignore])
 
 # Use our test data to create a predictor and a residual variable
 # The data is split on G
@@ -213,7 +213,7 @@ print outfile='outdata-split.txt' /g x0 x1 y err res1 pred1 *.
 execute.
 ])
 
-AT_CHECK([pspp -O format=csv regression-split.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv regression-split.sps], [0], [ignore])
 
 # The concatenation of G==0 and G==1 should be identical to the SPLIT data
 AT_CHECK([cat outdata-g0.txt outdata-g1.txt | diff outdata-split.txt - ], [0], [])
@@ -244,7 +244,7 @@ regression
 	   /statistics = default.
 ])
 
-AT_CHECK([pspp -O format=csv regression.sps > output], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv regression.sps > output], [0], [ignore])
 
 AT_CHECK([head -16 output > first], [0], [])
 AT_CHECK([tail -16 output > second], [0], [])
@@ -1763,7 +1763,7 @@ end data
 regression /variables=v0 v1 /statistics defaults /dependent=v0 /method=enter.
 ])
 
-AT_CHECK([pspp -O format=csv regression.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv regression.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 v0,F8.0
@@ -1808,7 +1808,7 @@ end data.
 regression /variables=x y /dependent=y.
 ])
 
-AT_CHECK([pspp -o pspp.csv regcrash.sps], [1], [ignore], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv regcrash.sps], [1], [ignore], [ignore])
 
 AT_CLEANUP
 
@@ -1838,7 +1838,7 @@ regression /variables=v0 v1
 	     /method=enter.
 ])
 
-AT_CHECK([pspp -o pspp-ref.csv reg-mdv-ref.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp-ref.csv reg-mdv-ref.sps])
 
 AT_DATA([reg-mdv.sps], [dnl
 data list notable list / v0 to v2.
@@ -1864,7 +1864,7 @@ regression /variables=v0 v1
 	     /method=enter.
 ])
 
-AT_CHECK([pspp -o pspp.csv reg-mdv.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv reg-mdv.sps])
 
 AT_CHECK([diff pspp.csv pspp-ref.csv])
 
@@ -1884,7 +1884,7 @@ regression /variables=v0 v1
 	     /method=enter v2.
 ])
 
-AT_CHECK([pspp ss.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP ss.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -2107,7 +2107,7 @@ regression
  /method = enter 
 ])
 
-AT_CHECK([pspp -O format=csv conf.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv conf.sps], [0], [dnl
 Table: Model Summary (science)
 ,R,R Square,Adjusted R Square,Std. Error of the Estimate
 ,.699,.489,.479,7.148
@@ -2154,7 +2154,7 @@ REGRESSION
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv regression.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv regression.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Model Summary (X1)
 ,R,R Square,Adjusted R Square,Std. Error of the Estimate
@@ -2201,6 +2201,6 @@ regression
  /method = enter
 ])
 
-AT_CHECK([pspp -o pspp.csv empty-parens.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv empty-parens.sps], [1], [ignore])
 
 AT_CLEANUP 
diff --git a/tests/language/stats/reliability.at b/tests/language/stats/reliability.at
index 9c5d413..79c18d5 100644
--- a/tests/language/stats/reliability.at
+++ b/tests/language/stats/reliability.at
@@ -183,7 +183,7 @@ RELIABILITY
   /VARIABLES=var6 var8 var15 var17 
   .
 ])
-AT_CHECK([pspp -o pspp.csv reliability.sps], [0],
+AT_CHECK([$RUNNER $PSPP -o pspp.csv reliability.sps], [0],
   [reliability.sps:174: warning: RELIABILITY: The STATISTICS subcommand is not yet implemented.  No statistics will be produced.
 ])
 AT_CHECK([cat pspp.csv], [0], [dnl
@@ -270,7 +270,7 @@ end data.
 reliability x y.
 ])
 
-AT_CHECK([pspp -O format=csv bad-syntax.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv bad-syntax.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -285,7 +285,7 @@ end data.
 * This syntax is incorrect
 reliability variables=f01 to f10/asdfj.
 ])
-AT_CHECK([pspp -O format=csv bad-syntax.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv bad-syntax.sps], [1], [ignore])
 AT_CLEANUP
 
 
@@ -299,7 +299,7 @@ end data.
 
 reliability variables=f01 to f10.
 ])
-AT_CHECK([pspp -O format=csv reliability.sps], [0], [])
+AT_CHECK([$RUNNER $PSPP -O format=csv reliability.sps], [0], [])
 AT_CLEANUP
 
 
@@ -319,7 +319,7 @@ reliability variables = v1 v3 v4.
 ])
 
 AT_CHECK([ln -s $top_srcdir/examples/hotel.sav .], [0])
-AT_CHECK([pspp -O format=csv tut-example.sps], [0], [dnl 
+AT_CHECK([$RUNNER $PSPP -O format=csv tut-example.sps], [0], [dnl 
 Scale: ANY
 
 Table: Case Processing Summary
diff --git a/tests/language/stats/roc.at b/tests/language/stats/roc.at
index 7ffb652..ba1b030 100644
--- a/tests/language/stats/roc.at
+++ b/tests/language/stats/roc.at
@@ -27,7 +27,7 @@ roc x by a (1)
 	/criteria = testpos(large) distribution(free) ci(99)
 	/missing = exclude .
 ])
-AT_CHECK([pspp -o pspp.csv roc.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv roc.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Case Summary
 ,Valid N (listwise),
@@ -78,7 +78,7 @@ roc x y by a (1)
 	/criteria = testpos(large) distribution(negexpo) ci(95)
 	/missing = exclude .
 ])
-AT_CHECK([pspp -o pspp.csv roc.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv roc.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Case Summary
 ,Valid N (listwise),
@@ -150,7 +150,7 @@ roc x by a (1)
 	print = se 
 	.
 ])
-AT_CHECK([pspp -o pspp.csv roc.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv roc.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Case Summary
 ,Valid N (listwise),
diff --git a/tests/language/stats/sort-cases.at b/tests/language/stats/sort-cases.at
index b000cb5..70f2e8a 100644
--- a/tests/language/stats/sort-cases.at
+++ b/tests/language/stats/sort-cases.at
@@ -50,7 +50,7 @@ SORT CASES BY x[]m4_if([$3], [], [], [/BUFFERS=$3]).
 PRINT OUTFILE='output.txt'/x y.
 EXECUTE.
 ])
-   AT_CHECK([pspp --testing-mode -o pspp.csv sort-cases.sps])
+   AT_CHECK([$RUNNER $PSPP --testing-mode -o pspp.csv sort-cases.sps])
    AT_CHECK([cat output.txt], [0], [expout])
    AT_CLEANUP])
 
@@ -96,7 +96,7 @@ LIST.
 FILTER OFF.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv sort-cases.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sort-cases.sps], [0], [dnl
 Table: Data List
 x,mod2
 5.00,1.00
diff --git a/tests/language/stats/t-test.at b/tests/language/stats/t-test.at
index 0ad76fa..5654424 100644
--- a/tests/language/stats/t-test.at
+++ b/tests/language/stats/t-test.at
@@ -14,7 +14,7 @@ end data.
 t-test /PAIRS a with b (PAIRED).
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 ID,F8.0
@@ -84,7 +84,7 @@ Pair 1,a - b,-2.00,.94,.42,-3.16,-.84,-4.78,4,.009
 Pair 2,c - d,1.30,.84,.37,.26,2.34,3.47,4,.025
 ])
 
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([missing.sps], [dnl
 data list list /id * a * b * c * d *.
@@ -101,7 +101,7 @@ end data.
 t-test /MISSING=analysis /PAIRS a c with b d (PAIRED) /CRITERIA=CI(0.95).
 ])
 
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -148,7 +148,7 @@ Pair 1,a - c,-3.10,.76,.34,-4.04,-2.16,-9.14,4,.001
 Pair 2,b - d,.20,1.68,.75,-1.89,2.29,.27,4,.803
 ])
 
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 
 AT_CHECK([cat ref.csv], [0], [expout])
 
@@ -166,7 +166,7 @@ end data.
 
 t-test /MISSING=listwise /PAIRS a b with c d (PAIRED). 
 ])
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -193,7 +193,7 @@ T-TEST
         /CRITERIA=CI(0.95).
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Paired Sample Statistics
 ,,Mean,N,Std. Deviation,S.E. Mean
 Pair 1,y,1.94,530.00,.96,.04
@@ -227,7 +227,7 @@ end data.
 
 t-test pairs = a with b (paired).
 ])
-AT_CHECK([pspp -o pspp.csv t-test.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv t-test.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -274,7 +274,7 @@ end data.
 t-test /GROUPS=indep(1.1,2.1) /var=dep1 dep2.
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 ID,F8.0
@@ -331,7 +331,7 @@ end data.
 t-test /groups=indep(1.514) /var=dep.
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 INDEP,F8.0
@@ -388,7 +388,7 @@ dep1,Equal variances assumed,3.75,.148,-1.12,3.00,.346,-.75,.67,-2.89,1.39
 dep2,Equal variances assumed,.60,.495,2.85,3.00,.065,3.00,1.05,-.35,6.35
 ,Equal variances not assumed,,,2.60,1.68,.144,3.00,1.15,-2.98,8.98
 ])
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([missing.sps], [dnl
 data list list /id * indep * dep1 * dep2.
@@ -407,7 +407,7 @@ end data.
 
 t-test /missing=analysis /group=indep /var=dep1 dep2.
 ])
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -451,7 +451,7 @@ dep2,Equal variances assumed,.00,1.000,3.67,4.00,.021,3.00,.82,.73,5.27
 ,Equal variances not assumed,,,3.67,4.00,.021,3.00,.82,.73,5.27
 ])
 
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([missing.sps], [dnl
 data list list /id * indep * dep1 * dep2 *.
@@ -467,7 +467,7 @@ end data.
 
 t-test /missing=listwise,exclude /group=indep /var=dep1, dep2.
 ])
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -485,7 +485,7 @@ end data.
 
 t-test /testval=2.0 /var=abc.
 ])
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 ID,F8.0
@@ -536,7 +536,7 @@ Table: One-Sample Test
 x1,.00,5,1.000,.00,-.88,.88
 x2,2.18,5,.082,29.67,-5.39,64.72
 ])
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([missing.sps], [dnl
 data list list /id * x1 * x2.
@@ -552,7 +552,7 @@ end data.
 
 t-test /missing=analysis /testval=3.0 /var=x1 x2.
 ])
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -588,7 +588,7 @@ Table: One-Sample Test
 x1,-.59,4,.587,-.20,-1.14,.74
 x2,2.22,4,.090,34.60,-8.63,77.83
 ])
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([missing.sps], [dnl
 data list list /id * x1 * x2.
@@ -605,7 +605,7 @@ MISSING VALUES x2(99).
 
 t-test /missing=listwise /testval=3.0 /var=x1 x2.
 ])
-AT_CHECK([pspp -o missing.csv missing.sps])
+AT_CHECK([$RUNNER $PSPP -o missing.csv missing.sps])
 AT_CHECK([cat missing.csv], [0], [expout])
 AT_CLEANUP
 
@@ -641,7 +641,7 @@ Table: Independent Samples Test
 x,Equal variances assumed,2.00,.230,-1.73,4.00,.158,-1.00,.58,-2.60,.60
 ,Equal variances not assumed,,,-1.73,3.20,.176,-1.00,.58,-2.77,.77
 ])
-AT_CHECK([pspp -o ref.csv ref.sps])
+AT_CHECK([$RUNNER $PSPP -o ref.csv ref.sps])
 AT_CHECK([cat ref.csv], [0], [expout])
 AT_DATA([temporary.sps], [dnl
 data list list /ind * x * .
@@ -660,7 +660,7 @@ SELECT IF x < 7.
 
 t-test /groups=ind(1 2) /var x.
 ])
-AT_CHECK([pspp -o temporary.csv temporary.sps])
+AT_CHECK([$RUNNER $PSPP -o temporary.csv temporary.sps])
 AT_CHECK([cat temporary.csv], [0], [expout])
 AT_CLEANUP
 
@@ -680,7 +680,7 @@ END DATA.
 T-TEST /testval=2.0 .
 T-TEST /groups=id(3) .
 ])
-AT_CHECK([pspp -O format=csv t-test.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [1], [dnl
 t-test.sps:11: error: T-TEST: Required subcommand VARIABLES was not specified.
 
 t-test.sps:12: error: T-TEST: Required subcommand VARIABLES was not specified.
@@ -709,7 +709,7 @@ end data.
 t-test /GROUPS=indep('a','b') /var=dep1 dep2.
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 ID,F8.0
@@ -755,7 +755,7 @@ end data.
 
 t-test /GROUPS=indep('a') /var=dep1 dep2.
 ])
-AT_CHECK([pspp -O format=csv t-test.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [1], [dnl
 "t-test.sps:17: error: T-TEST: When applying GROUPS to a string variable, two values must be specified."
 ])
 AT_CLEANUP
@@ -779,7 +779,7 @@ t-test group=gv('One', 'Two')
 	/variables = x.
 ])
 
-AT_CHECK([pspp -O format=csv t-test.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv t-test.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 x,F8.0
@@ -816,6 +816,6 @@ end data.
 t-test /variables = x group=g(1,3).
 ])
 
-AT_CHECK([pspp t-test-crs.sps], [0],[ignore], [ignore])
+AT_CHECK([$RUNNER $PSPP t-test-crs.sps], [0],[ignore], [ignore])
 
 AT_CLEANUP
diff --git a/tests/language/utilities/cache.at b/tests/language/utilities/cache.at
index 2edda09..ff3f62b 100644
--- a/tests/language/utilities/cache.at
+++ b/tests/language/utilities/cache.at
@@ -4,5 +4,5 @@ AT_SETUP([CACHE])
 AT_DATA([cache.sps], [dnl
 CACHE.
 ])
-AT_CHECK([pspp -O format=csv cache.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv cache.sps])
 AT_CLEANUP
diff --git a/tests/language/utilities/cd.at b/tests/language/utilities/cd.at
index f56f1b8..b7d4e4b 100644
--- a/tests/language/utilities/cd.at
+++ b/tests/language/utilities/cd.at
@@ -6,7 +6,7 @@ AT_DATA([cd.sps], [dnl
 cd 'subdir'.
 host command=[['pwd > mydir']].
 ])
-AT_CHECK([pspp -O format=csv cd.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv cd.sps])
 AT_CAPTURE_FILE([subdir/mydir])
 AT_CHECK([sed 's,.*/,,' subdir/mydir], [0], [subdir
 ])
diff --git a/tests/language/utilities/date.at b/tests/language/utilities/date.at
index ab1ca12..0ad20be 100644
--- a/tests/language/utilities/date.at
+++ b/tests/language/utilities/date.at
@@ -18,7 +18,7 @@ end data.
 use all.
 list.
 ])
-AT_CHECK([pspp -o pspp.csv use.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv use.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 X
diff --git a/tests/language/utilities/insert.at b/tests/language/utilities/insert.at
index e8e7650..f9d0a1b 100644
--- a/tests/language/utilities/insert.at
+++ b/tests/language/utilities/insert.at
@@ -20,7 +20,7 @@ INSERT
   SYNTAX=interactive.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps], [1], [dnl
 batch.sps:2.1-2.4: error: INPUT PROGRAM: Syntax error at `loop': expecting end of command.
 batch.sps:3: error: COMPUTE: COMPUTE is allowed only after the active dataset has been defined or inside INPUT PROGRAM.
 batch.sps:4: error: END CASE: END CASE is allowed only inside INPUT PROGRAM.
@@ -36,7 +36,7 @@ INSERT
   SYNTAX=BATCH.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 z
@@ -63,7 +63,7 @@ BEGIN DATA.
 3
 END DATA.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps], [1], [dnl
 Dir1/foo.sps:1: error: INSERT: Can't find `bar.sps' in include file search path.
 insert.sps:2: error: LIST: LIST is allowed only after the active dataset has been defined.
 ])
@@ -84,7 +84,7 @@ BEGIN DATA.
 3
 END DATA.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
@@ -117,7 +117,7 @@ AT_SETUP([INSERT ERROR=STOP])
 CREATE_ERROR_SPS
 AT_DATA([insert.sps], [INSERT FILE='error.sps' ERROR=STOP.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps], [1], [dnl
 error.sps:10: error: DISPLAY: AKSDJ is not a variable name.
 warning: Error encountered while ERROR=STOP is effective.
 ])
@@ -127,7 +127,7 @@ AT_SETUP([INSERT ERROR=CONTINUE])
 CREATE_ERROR_SPS
 AT_DATA([insert.sps], [INSERT FILE='error.sps' ERROR=CONTINUE.
 ])
-AT_CHECK([pspp -o pspp.csv insert.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv insert.sps], [1], [dnl
 error.sps:10: error: DISPLAY: AKSDJ is not a variable name.
 ])
 AT_CHECK([cat pspp.csv], [0], [dnl
@@ -152,7 +152,7 @@ INSERT
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv insert.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv insert.sps], [1], [dnl
 insert.sps:2: error: INSERT: Can't find `nonexistent' in include file search path.
 
 insert.sps:6: error: LIST: LIST is allowed only after the active dataset has been defined.
@@ -175,7 +175,7 @@ include FILE='two-latin1.sps' ENCODING='ISO_8859-1'.
 
 AT_CHECK([iconv -f UTF-8 -t iso-8859-1 two-utf8.sps > two-latin1.sps], [0], [])
 
-AT_CHECK([pspp -O format=csv include.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv include.sps], [0], [dnl
 ONE
 
 Äpfelfölfaß
diff --git a/tests/language/utilities/permissions.at b/tests/language/utilities/permissions.at
index 873057c..52904eb 100644
--- a/tests/language/utilities/permissions.at
+++ b/tests/language/utilities/permissions.at
@@ -11,14 +11,14 @@ AT_CHECK([sed 's/^\(..........\).*/\1/' stdout], [0], [-rw-rw-rw-
 
 AT_DATA([permissions.sps], [PERMISSIONS /FILE='foobar' PERMISSIONS=READONLY.
 ])
-AT_CHECK([pspp -O format=csv permissions.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv permissions.sps])
 AT_CHECK([ls -l foobar], [0], [stdout])
 AT_CHECK([sed 's/^\(..........\).*/\1/' stdout], [0], [-r--r--r--
 ])
 
 AT_DATA([permissions.sps], [PERMISSIONS /FILE='foobar' PERMISSIONS=WRITEABLE.
 ])
-AT_CHECK([pspp -O format=csv permissions.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv permissions.sps])
 AT_CHECK([ls -l foobar], [0], [stdout])
 AT_CHECK([sed 's/^\(..........\).*/\1/' stdout], [0], [-rw-r--r--
 ])
diff --git a/tests/language/utilities/set.at b/tests/language/utilities/set.at
index b281ae4..bde5a25 100644
--- a/tests/language/utilities/set.at
+++ b/tests/language/utilities/set.at
@@ -12,7 +12,7 @@ END DATA.
 SET FORMAT F41.
 DESCRIPTIVES /x.
 ])
-AT_CHECK([pspp -O format=csv set.pspp], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv set.pspp], [1], [dnl
 "set.pspp:7: error: SET: Output format F41.0 specifies width 41, but F requires a width between 1 and 40."
 
 Table: Valid cases = 3; cases with missing value(s) = 0.
@@ -44,7 +44,7 @@ comment The following line should not be executed.
 list.
 ])
 
-AT_CHECK([pspp -O format=csv set.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv set.pspp], [0], [dnl
 set.pspp:5.3: warning: Data for variable y is not valid as format F: Field contents are not numeric.
 
 set.pspp:6.3: warning: Data for variable y is not valid as format F: Field contents are not numeric.
@@ -77,7 +77,7 @@ end data.
 list.
 ])
 
-AT_CHECK([pspp -O format=csv mxwarns.pspp], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv mxwarns.pspp], [0],
 [warning: MXWARNS set to zero.  No further warnings will be given even when potentially problematic situations are encountered.
 
 Table: Data List
@@ -104,7 +104,7 @@ SHOW FORMAT
 RESTORE.
 SHOW FORMAT.
 ])
-AT_CHECK([pspp -O format=csv set.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv set.pspp], [0], [dnl
 set.pspp:1: note: SHOW: FORMAT is F8.2.
 
 set.pspp:5: note: SHOW: FORMAT is F10.0.
diff --git a/tests/language/utilities/show.at b/tests/language/utilities/show.at
index ad3ebc0..44c24e6 100644
--- a/tests/language/utilities/show.at
+++ b/tests/language/utilities/show.at
@@ -13,7 +13,7 @@ END DATA.
 SHOW N.
 ])
 
-AT_CHECK([pspp -O format=csv show.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv show.sps], [0], [dnl
 show.sps:8: note: SHOW: N is 3.
 ])
 
@@ -26,7 +26,7 @@ AT_DATA([shown-empty.sps], [dnl
 SHOW N.
 ])
 
-AT_CHECK([pspp -O format=csv shown-empty.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv shown-empty.sps], [0], [dnl
 shown-empty.sps:1: note: SHOW: N is Unknown.
 ])
 
diff --git a/tests/language/utilities/title.at b/tests/language/utilities/title.at
index cd954f2..5d38927 100644
--- a/tests/language/utilities/title.at
+++ b/tests/language/utilities/title.at
@@ -56,7 +56,7 @@ display file label.
 
 /* Done.
 ])
-AT_CHECK([pspp -o pspp.csv file-label.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv file-label.sps])
 dnl Filter out the dates/times
 AT_CHECK([[sed 's/(Entered [^)]*)/(Entered <date>)/' pspp.csv]], [0], [dnl
 Table: Reading 1 record from INLINE.
diff --git a/tests/language/xforms/compute.at b/tests/language/xforms/compute.at
index f992d0e..93d3ea9 100644
--- a/tests/language/xforms/compute.at
+++ b/tests/language/xforms/compute.at
@@ -10,12 +10,12 @@ EXECUTE.
 
 SAVE outfile='temp.sav'.
 ])
-AT_CHECK([pspp -O format=csv compute.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv compute.sps])
 AT_DATA([list.sps],
   [GET FILE='temp.sav'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv list.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv list.sps], [0], 
   [])
 AT_CLEANUP
 
@@ -34,7 +34,7 @@ COMPUTE A=upcase(A).
 EXECUTE.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv compute.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv compute.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 A,A161
@@ -60,7 +60,7 @@ COMPUTE longvariableName=100-longvariablename.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv compute.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv compute.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 longVariablename,F8.0
@@ -86,7 +86,7 @@ BEGIN DATA.
 999
 END DATA.
 ])
-AT_CHECK([pspp -O format=csv compute.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv compute.sps], [0],
   [Table: Reading 1 record from INLINE.
 Variable,Record,Columns,Format
 ITEM,1,1-  3,F3.0
diff --git a/tests/language/xforms/count.at b/tests/language/xforms/count.at
index eacf505..b6ab072 100644
--- a/tests/language/xforms/count.at
+++ b/tests/language/xforms/count.at
@@ -21,7 +21,7 @@ FORMATS ALL(F1).
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv count.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv count.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 x,F8.0
@@ -56,7 +56,7 @@ END DATA.
 COUNT c=v1 to v2('2',' 4','1').
 LIST.
 ])
-AT_CHECK([pspp -O format=csv count.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv count.sps], [0], [dnl
 Title: Test COUNT transformation
 
 Table: Reading 1 record from INLINE.
